Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::WrapperData Class Reference

Inherits Object.

## Public Member Functions
| WrapperData ()
| Constructor.
| WrapperData (const WrapperData &wrapper_data)
| Constructor, with another wrapper data object. More...
| WrapperData (int version, const wchar_t *type, const wchar_t *app_id, const wchar_t *uri, const wchar_t *description)
| Constructor, with parameters. More...
WrapperData & | operator= (const WrapperData &wrapper_data)
| Assign operator. More...
void | Set (int version, const wchar_t *type, const wchar_t *app_id, const wchar_t *uri, const wchar_t *description)
| Set value. More...

## Public Attributes
WString | app_id
| Application identity to indicate applications to open this wrapper data.
WString | description
| Description for wrapper file to show applications or confront users prompt information.
WString | type
| Wrapper type to indicate a type of the current wrapper file.
WString | uri
| The URI for consumers to get more information.
int | version
| Wrapper version.

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ WrapperData() [1/2]

foxit::pdf::WrapperData::WrapperData | ( | int | version,
|  | const wchar_t * | type,
|  | const wchar_t * | app_id,
|  | const wchar_t * | uri,
|  | const wchar_t * | description
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ WrapperData() [2/2]

foxit::pdf::WrapperData::WrapperData | ( | const WrapperData & | wrapper_data | ) |
| inline

Constructor, with another wrapper data object.

Parameters

  [in] | wrapper_data | Another wrapper data object.

## Member Function Documentation

## ◆ operator=()

WrapperData& foxit::pdf::WrapperData::operator= | ( | const WrapperData & | wrapper_data | ) |
| inline

Assign operator.

Parameters

  [in] | wrapper_data | Another wrapper data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::WrapperData::Set | ( | int | version,
|  | const wchar_t * | type,
|  | const wchar_t * | app_id,
|  | const wchar_t * | uri,
|  | const wchar_t * | description
| ) |  |
| inline

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.